// ＡＩＧライブラリ　基本関数：ディスク関数
//	Copyright (C) 1989-1994 by AIG-SOFT

#ifndef	__AIG_DISK__
#define	__AIG_DISK__	1

#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	int	get_2hd(int,int);
	int	disk_insert(int ,int );
	int	check_fd(int );
	int	check_ramdisk(int);
	int	get_ramdisk(int);
	int	fd_drv(int);
	int	fd_id(int);
	unchar	*fd_path(unchar *);
	void	fd_strcpy(unchar *,unchar *);
#else
	int	get_2hd();
	int	disk_insert();
	int	check_fd();
	int	check_ramdisk();
	int	get_ramdisk();
	int	fd_drv();
	int	fd_id();
	unchar	*fd_path();
	void	fd_strcpy();
#endif
#ifdef	__cplusplus
}
#endif

#endif
